ZNOWU - problem przy instalacji

Tu proszę zgłaszać wszelkie problemy z instalacja i po
Jac_k1
Posty: 146
Rejestracja: sob lis 15, 2014 10:31 pm
Lokalizacja: Łukanowice

Re: ZNOWU - problem przy instalacji

Post autor: Jac_k1 » wt kwie 25, 2017 12:18 am

Po ostatnich aktualizacjach Nettemp nie wyszykuje mi jeszcze urządzeń Wifi (EspEasy).
W czym może być problem ?

Awatar użytkownika
divest
Posty: 123
Rejestracja: pn maja 04, 2015 1:22 pm

Re: ZNOWU - problem przy instalacji

Post autor: divest » wt kwie 25, 2017 9:17 am

Server node key sie nie zmienił?

Jac_k1
Posty: 146
Rejestracja: sob lis 15, 2014 10:31 pm
Lokalizacja: Łukanowice

Re: ZNOWU - problem przy instalacji

Post autor: Jac_k1 » wt kwie 25, 2017 11:40 am

divest pisze:Server node key sie nie zmienił?
Server node key się nie zmienił :(

Nie wyszukuje w dalszym ciągu. Co mogę sprawdzić ?

Darko_P
Posty: 75
Rejestracja: śr lis 09, 2016 2:07 pm
Lokalizacja: Wrocław

Re: ZNOWU - problem przy instalacji

Post autor: Darko_P » wt kwie 25, 2017 1:55 pm

A może masz włączony WWW Authmod.

Jac_k1
Posty: 146
Rejestracja: sob lis 15, 2014 10:31 pm
Lokalizacja: Łukanowice

Re: ZNOWU - problem przy instalacji

Post autor: Jac_k1 » wt kwie 25, 2017 3:37 pm

Darko_P pisze:A może masz włączony WWW Authmod.
Dziękuję za trafną podpowiedź.

Umknęło mi to :(

Jac_k1
Posty: 146
Rejestracja: sob lis 15, 2014 10:31 pm
Lokalizacja: Łukanowice

Re: ZNOWU - problem przy instalacji

Post autor: Jac_k1 » sob wrz 23, 2017 7:25 pm

Witam,
padła mi karta więc wgrałem ponownie raspbian-jessie-lite i chciałem zainstalować nettemp beta zgodnie ze opisem na wiki.
Niestety pojawiają się błędy.

Kod: Zaznacz cały


[email protected]:~ $ su
Password:
[email protected]:/home/pi# mkdir -p /var/www/nettemp && cd /var/www
[email protected]:/var/www# apt-get update && apt-get install -y git
Get:1 http://mirrordirector.raspbian.org jessie InRelease [14.9 kB]
Get:2 http://archive.raspberrypi.org jessie InRelease [22.9 kB]
Get:3 http://mirrordirector.raspbian.org jessie/main armhf Packages [9,535 kB]
Get:4 http://archive.raspberrypi.org jessie/main armhf Packages [170 kB]
Get:5 http://archive.raspberrypi.org jessie/ui armhf Packages [58.9 kB]
Get:6 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43.3 kB]
Get:7 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84.2 kB]
Get:8 http://mirrordirector.raspbian.org jessie/rpi armhf Packages [1,356 B]
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 9,931 kB in 32s (309 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  git-man liberror-perl rsync
Suggested packages:
  git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
  gitweb git-arch git-cvs git-mediawiki git-svn
The following NEW packages will be installed:
  git git-man liberror-perl rsync
0 upgraded, 4 newly installed, 0 to remove and 32 not upgraded.
Need to get 4,355 kB of archives.
After this operation, 21.3 MB of additional disk space will be used.
Get:1 http://mirrordirector.raspbian.org/raspbian/ jessie/main liberror-perl all 0.17-1.1 [22.4 kB]
Get:2 http://mirrordirector.raspbian.org/raspbian/ jessie/main git-man all 1:2.1.4-2.1+deb8u4 [1,267 kB]
Get:3 http://mirrordirector.raspbian.org/raspbian/ jessie/main git armhf 1:2.1.4-2.1+deb8u4 [2,693 kB]
Get:4 http://mirrordirector.raspbian.org/raspbian/ jessie/main rsync armhf 3.1.1-3 [373 kB]
Fetched 4,355 kB in 3s (1,347 kB/s)
Selecting previously unselected package liberror-perl.
(Reading database ... 31532 files and directories currently installed.)
Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
Unpacking liberror-perl (0.17-1.1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a2.1.4-2.1+deb8u4_all.deb ...
Unpacking git-man (1:2.1.4-2.1+deb8u4) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a2.1.4-2.1+deb8u4_armhf.deb ...
Unpacking git (1:2.1.4-2.1+deb8u4) ...
Selecting previously unselected package rsync.
Preparing to unpack .../rsync_3.1.1-3_armhf.deb ...
Unpacking rsync (3.1.1-3) ...
Processing triggers for man-db (2.7.5-1~bpo8+1) ...
Processing triggers for systemd (215-17+deb8u7) ...
Setting up liberror-perl (0.17-1.1) ...
Setting up git-man (1:2.1.4-2.1+deb8u4) ...
Setting up git (1:2.1.4-2.1+deb8u4) ...
Setting up rsync (3.1.1-3) ...
Processing triggers for systemd (215-17+deb8u7) ...
[email protected]:/var/www# cd nettemp && git checkout beta && ./install_nettemp
fatal: Not a git repository (or any of the parent directories): .git
[email protected]:/var/www/nettemp#  cd..
bash: cd..: command not found
[email protected]:/var/www/nettemp# cd ..
[email protected]:/var/www# git clone https://github.com/sosprz/nettemp
Cloning into 'nettemp'...
remote: Counting objects: 21671, done.
remote: Compressing objects: 100% (6/6), done.
remote: Total 21671 (delta 39), reused 36 (delta 36), pack-reused 21629
Receiving objects: 100% (21671/21671), 6.89 MiB | 774.00 KiB/s, done.
Resolving deltas: 100% (15005/15005), done.
Checking connectivity... done.
[email protected]:/var/www# cd nettemp && git checkout beta && ./install_nettemp
Branch beta set up to track remote branch beta from origin.
Switched to a new branch 'beta'
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php7.0-cgi
E: Couldn't find any package by regex 'php7.0-cgi'
E: Unable to locate package php7.0-sqlite
E: Couldn't find any package by regex 'php7.0-sqlite'
E: Unable to locate package php7.0-fpm
E: Couldn't find any package by regex 'php7.0-fpm'
E: Unable to locate package php7.0-curl
E: Couldn't find any package by regex 'php7.0-curl'
E: Unable to locate package php7.0-mysql
E: Couldn't find any package by regex 'php7.0-mysql'
E: Unable to locate package php7.0-snmp
E: Couldn't find any package by regex 'php7.0-snmp'
[ ok ] packages
[ ok ] 1wire
[ ok ] DHT
[ ok ] GPIO
[ ok ] I2C
[ ok ] FW
[ ok ] SDM120
sed: can't read /etc/apcupsd/apcupsd.conf: No such file or directory
sed: can't read /etc/apcupsd/apcupsd.conf: No such file or directory
sed: can't read /etc/apcupsd/apcupsd.conf: No such file or directory
sed: can't read /etc/default/apcupsd: No such file or directory
sed: can't read /etc/apcupsd/onbattery: No such file or directory
sed: can't read /etc/apcupsd/offbattery: No such file or directory
[ ok ] VPN
[ ok ] WWW
[ ok ] Cron
install/db/db.sh: line 3: php-cgi: command not found
install/perms/perms.sh: line 8: php-cgi: command not found
[ error ] Services
[email protected]:/var/www/nettemp#

Bardzo proszę o podpowiedź jak ten problem rozwiązać

swiezak
Posty: 1535
Rejestracja: ndz maja 04, 2014 12:19 pm
Lokalizacja: śląskie

Re: ZNOWU - problem przy instalacji

Post autor: swiezak » pn wrz 25, 2017 8:51 am

sprawdź to

Jac_k1
Posty: 146
Rejestracja: sob lis 15, 2014 10:31 pm
Lokalizacja: Łukanowice

Re: ZNOWU - problem przy instalacji

Post autor: Jac_k1 » pn wrz 25, 2017 9:46 am

swiezak pisze:
pn wrz 25, 2017 8:51 am
sprawdź to
wielkie dzięki.
poinstalowałem pakiety i udało się zainstalować nettempa.

Tylko nie dostępne są zakładki: Device, Security, Setting, Tools - komunikat: "404 - Not Found"

swiezak
Posty: 1535
Rejestracja: ndz maja 04, 2014 12:19 pm
Lokalizacja: śląskie

Re: ZNOWU - problem przy instalacji

Post autor: swiezak » wt wrz 26, 2017 9:44 am

spróbuj z pozycji nettempa zrobic update, i później przywróć ustawienia fabryczne - wszystko w Tools . Jak nie pomoże to spróbuj z terminala
git reset --hard ale tego nie jestem pewien czy nie pomyliłem komend- ręki obciąć nie dam;)

jot
Posty: 946
Rejestracja: śr lut 03, 2016 8:50 pm

Re: ZNOWU - problem przy instalacji

Post autor: jot » wt wrz 26, 2017 10:33 am

Jac_k1 pisze:
sob wrz 23, 2017 7:25 pm
Witam,
padła mi karta więc wgrałem ponownie raspbian-jessie-lite i chciałem zainstalować nettemp beta zgodnie ze opisem na wiki.
Niestety pojawiają się błędy.
[ciach!]
Bardzo proszę o podpowiedź jak ten problem rozwiązać
Błędy się pojawiają, bo instalator jest już przygotowany pod nowszą wersję Raspbiana - Stretch wobec czego opcje są dwie:
1) instalacja Stretch-a
2) instalacja nettempa w konkretnej wersji

AAAAAby zainstalować poprawnie NT w wersji dla Jessie należy postępować zgodnie z instrukcją instalacji Bety, ALE PRZED URUCHOMIENIEM skryptu install_nettemp należy cofnąć się do commitu d50ca89 poleceniem:

Kod: Zaznacz cały

git checkout d50ca899599ac0be508a92e0a766401ef8fe5d34
Minus tego rozwiązania jest taki, że KAŻDORAZOWO przy aktualizacji NT będzie wyskakiwał komunikat, że brakuje pakietów PHP7
Ostatnio zmieniony wt wrz 26, 2017 11:36 am przez jot, łącznie zmieniany 1 raz.

ODPOWIEDZ